Bug 639041 - [Intel Test Day] Delayed VT/user switch with compiz running
[Intel Test Day] Delayed VT/user switch with compiz running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 12:55 EDT by Stuart D Gathman
Modified: 2012-08-16 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:57:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
00-system-setup-keyboard.conf (414 bytes, text/plain)
2010-10-04 22:25 EDT, Stuart D Gathman
no flags Details
Xorg.0.log (137.27 KB, text/plain)
2010-10-04 22:25 EDT, Stuart D Gathman
no flags Details
Xorg.1.log (7.05 KB, text/plain)
2010-10-04 22:26 EDT, Stuart D Gathman
no flags Details
dmesg output (84.61 KB, text/plain)
2010-10-04 22:27 EDT, Stuart D Gathman
no flags Details
messages (260.74 KB, text/plain)
2010-10-04 22:28 EDT, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2010-09-30 12:55:04 EDT
Description of problem:
Long (minutes) delay switching VTs or fast-user-switch

Version-Release number of selected component (if applicable):


How reproducible:
Switch after enabling compiz

Steps to Reproduce:
1. Boot Fedora 14 test LiveCD 
2. Enable compiz, wobble, etc, rotate cube
3. Ctl-Alt-F2
  
Actual results:
5 min delay, video/keyboard frozen, system still pingable

Expected results:
Immediate switch

Additional info:
fast-user-switch has similar problem.  Both work without compiz.
http://smolt.fedoraproject.org/client/show/pub_62b790b9-e780-4903-b210-06d06adee62a
(someone/something keeps changing smolt entry to f8 on SX260, I'll remove uuid and assign a new one later)
Comment 1 Stuart D Gathman 2010-09-30 13:45:49 EDT
Here is my f12 smolt entry:
http://www.smolts.org/client/show/pub_052fffd3-ab7f-47df-b134-2306c2696d1f
Comment 2 Matěj Cepl 2010-10-01 07:12:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Stuart D Gathman 2010-10-04 22:25:02 EDT
Created attachment 451572 [details]
00-system-setup-keyboard.conf

There is no xorg.conf on the test day live CD
Comment 4 Stuart D Gathman 2010-10-04 22:25:49 EDT
Created attachment 451573 [details]
Xorg.0.log
Comment 5 Stuart D Gathman 2010-10-04 22:26:45 EDT
Created attachment 451574 [details]
Xorg.1.log

Log files captured while system is hung after attempt switch user.
Comment 6 Stuart D Gathman 2010-10-04 22:27:13 EDT
Created attachment 451575 [details]
dmesg output
Comment 7 Stuart D Gathman 2010-10-04 22:28:54 EDT
Created attachment 451576 [details]
messages

Obtained these by starting sshd before switch user test.  Sometimes it takes longer than 5 mins to switch - maybe forever.  These halting tests are tricky.
Comment 8 Adam Williamson 2010-10-06 18:32:49 EDT
Thanks.
Comment 9 Fedora End Of Life 2012-08-16 12:58:00 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.